Bug 1049379 - (CVE-2017-11446) VUL-0: CVE-2017-11446: ImageMagick: The ReadPESImage function in coders\pes.c in ImageMagick 7.0.6-1 infinite loop vulnerability
(CVE-2017-11446)
VUL-0: CVE-2017-11446: ImageMagick: The ReadPESImage function in coders\pes.c...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/188740/
CVSSv2:NVD:CVE-2017-11446:7.1:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 10:57 UTC by Victor Pereira
Modified: 2018-07-04 14:38 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pereira 2017-07-19 10:57:35 UTC
CVE-2017-11446

The ReadPESImage function in coders\pes.c in ImageMagick 7.0.6-1 has an
infinite loop vulnerability that can cause CPU exhaustion via a crafted
PES file.


References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-11446
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-11446
Comment 1 Marcus Meissner 2017-09-27 15:14:08 UTC
https://github.com/ImageMagick/ImageMagick/issues/537
Comment 2 Petr Gajdos 2017-10-25 12:23:46 UTC
12/ImageMagick

BEFORE

$ identify cpu-ReadPESImage
<CPU load>

PATCH

https://github.com/ImageMagick/ImageMagick/commit/96182884778bfc43d6a9a0abd90cedb5d8cf8977
https://github.com/ImageMagick/ImageMagick/commit/2c8790da11468bd207c1400b19237a8838329d12

AFTER

$ identify cpu-ReadPESImage 
cpu-ReadPESImage PES 215195x232541 215195x232541+0+0 16-bit sRGB 23.4KB 0.000u 0:00.219
$

Other versions, GraphicsMagick included, does not support PES format.
Comment 3 Petr Gajdos 2017-10-25 12:28:19 UTC
I believe all fixed.
Comment 6 Swamp Workflow Management 2017-11-08 11:17:58 UTC
SUSE-SU-2017:2949-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1049379,1050135,1052249,1052253,1052545,1054924,1055219,1055430,1061873
CVE References: CVE-2016-7530,CVE-2017-11446,CVE-2017-11534,CVE-2017-12428,CVE-2017-12431,CVE-2017-12433,CVE-2017-13133,CVE-2017-13139,CVE-2017-15033
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
Comment 7 Swamp Workflow Management 2017-11-12 17:11:48 UTC
openSUSE-SU-2017:2999-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1049379,1050135,1052249,1052253,1052545,1054924,1055219,1055430,1061873
CVE References: CVE-2016-7530,CVE-2017-11446,CVE-2017-11534,CVE-2017-12428,CVE-2017-12431,CVE-2017-12433,CVE-2017-13133,CVE-2017-13139,CVE-2017-15033
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-37.1
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.9.1
Comment 8 Marcus Meissner 2018-02-09 13:51:10 UTC
released